Subject: Re: Will these be in 4.0?

From: David L Miller <[email-masked]>
Date: Wed, 22 Jan 1997 12:01:59 -0800

On 17 Jan 1997, Steve Lamb wrote:

> From: Steve Lamb <[email-masked]>
> Newsgroups: comp.mail.pine
> Subject: Will these be in 4.0?
> Date: 17 Jan 1997 18:18:28 GMT
> Organization: We're organized?!
> Message-ID: <[email-masked]>
> NNTP-Posting-Host: web1.calweb.com
> X-Newsreader: slrn (0.9.2.1 BETA UNIX)
> 
>     I know tha tI have some specific needs here, but I'm pretty sure I'm not
> the only one who is chafing against the current pine restrictions.  I am
> wondering if the e-mail gods at UW will be including any of these in 4.0.
> 
> 1: A way to *SAVE* username/password for IMAP logins in the *nix versions.
>   
>     Yeah, yeah, I know it is a security hole, yadda, yadda, yadda.  But with
> more and more people using Linux as their home OS, such as myself, it really
> isn't an issue.  We have console access on the machines, we're pretty sure
> we're the only ones that are going to use it, let *US* decide if our system
> is secure or not.  It is done for the OS/2 and Win95 versions of Pine under
> the same assumption.

Nope.  It shouldn't be too hard to add this yourself.  Take a look at
the #ifdefs in pine/imap.c...

> 2: Sub-folders.
>     'nuff said.

Yes.

> 
> 3: Notification of new mail in the folders listing.
> 
>     Mailing lists for the mail, procmail for the filtering, and the $10k
> question, which mailboxes have mail *THIS* week.  Checking 20-30 mailboxes
> each time I check mail (multiple times a day) is tedious.  Wouldn't a simple
> file with a timestamp of the last check by pine v. the current timestamp on
> the file be enough to know if there is new mail in the folders?

Probably not in 4.00.  We may try to put an indication in for the
incoming-folders in a later 4.x version.

> 
>     I ask about those three things because they are what I've grown
> accustomed to with my Win95 & OS/2 mail software.  However, since I access
> my mail from multiple sites IMAP is the best solution for me.  Linux at
> home, Win95 & FreeBSD at work, OS/2 at times from home, all have Pine and
> all suffer from the same limitation.  :/
> 
> -- 
>              Steve C. Lamb             | Opinions expressed by me are not my
>     http://www.calweb.com/~morpheus    | employer's.  They hired me for my
>           PGP key upon request         | skills and labor, not my opinions!
> ---------------------------------------+-------------------------------------
> 
>